
Foreman - Bug #1299

foreman don't cut the () from puppet class names

11/07/2011 05:42 AM - Florian Koch

Status: Closed   

Priority: Normal   

Assignee: Florian Koch   

Category: Puppet integration   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

foreman don't cut the () from puppet class names.

the class foo:bar() is shown in the gui (puppetclasses in hostgroups) as foo:bar().

in this case, adding of this class is broken. (the + is not shown)

rgds f0

Related issues:

Related to Foreman - Bug #1309: Dashes in classnames cause class name termina... Closed 11/10/2011

Has duplicate Foreman - Bug #1296: Parsing puppet classes fails in certain cases Duplicate 11/04/2011

Associated revisions

Revision 008f2292 - 11/08/2011 10:09 AM - Florian Koch

fixes #1299 foreman don't remove the () from puppet class names

Signed-off-by: Florian Koch <florian.koch1981@googlemail.com>

History

#1 - 11/08/2011 10:10 AM - Ohad Levy

- Assignee changed from Ohad Levy to Florian Koch

- Priority changed from High to Normal

- Target version set to 0.4

#2 - 11/08/2011 10:11 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 008f22921146c199591fe75286cc85abb570e14c.
